## GstChildProxy GstChildProxy |

## Functions

guint | gst_child_proxy_get_children_count ()
GObject * | gst_child_proxy_get_child_by_name ()
GObject * | gst_child_proxy_get_child_by_index ()
gboolean | gst_child_proxy_lookup ()
void | gst_child_proxy_get_property ()
void | gst_child_proxy_get_valist ()
void | gst_child_proxy_get ()
void | gst_child_proxy_set_property ()
void | gst_child_proxy_set_valist ()
void | gst_child_proxy_set ()
void | gst_child_proxy_child_added ()
void | gst_child_proxy_child_removed ()

## Signals

void | child-added | Run First
void | child-removed | Run First

## Types and Values

| GstChildProxy
struct | GstChildProxyInterface

## Object Hierarchy

        GInterface
        ╰── GstChildProxy

## Prerequisites

GstChildProxy requires GObject.

## Known Implementations

GstChildProxy is implemented by GstBin and GstPipeline.

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_child_proxy_get_children_count ()

    guint
    gst_child_proxy_get_children_count (GstChildProxy *parent);

### gst_child_proxy_get_child_by_name ()

    GObject *
    gst_child_proxy_get_child_by_name (GstChildProxy *parent,
                                       const gchar *name);

### gst_child_proxy_get_child_by_index ()

    GObject *
    gst_child_proxy_get_child_by_index (GstChildProxy *parent,
                                        guint index);

### gst_child_proxy_lookup ()

    gboolean
    gst_child_proxy_lookup (GstChildProxy *object,
                            const gchar *name,
                            GObject **target,
                            GParamSpec **pspec);

### gst_child_proxy_get_property ()

    void
    gst_child_proxy_get_property (GstChildProxy *object,
                                  const gchar *name,
                                  GValue *value);

### gst_child_proxy_get_valist ()

    void
    gst_child_proxy_get_valist (GstChildProxy *object,
                                const gchar *first_property_name,
                                va_list var_args);

### gst_child_proxy_get ()

    void
    gst_child_proxy_get (GstChildProxy *object,
                         const gchar *first_property_name,
                         ...);

### gst_child_proxy_set_property ()

    void
    gst_child_proxy_set_property (GstChildProxy *object,
                                  const gchar *name,
                                  const GValue *value);

### gst_child_proxy_set_valist ()

    void
    gst_child_proxy_set_valist (GstChildProxy *object,
                                const gchar *first_property_name,
                                va_list var_args);

### gst_child_proxy_set ()

    void
    gst_child_proxy_set (GstChildProxy *object,
                         const gchar *first_property_name,
                         ...);

### gst_child_proxy_child_added ()

    void
    gst_child_proxy_child_added (GstChildProxy *parent,
                                 GObject *child,
                                 const gchar *name);

### gst_child_proxy_child_removed ()

    void
    gst_child_proxy_child_removed (GstChildProxy *parent,
                                   GObject *child,
                                   const gchar *name);

## Types and Values

### GstChildProxy

    typedef struct _GstChildProxy GstChildProxy;

### struct GstChildProxyInterface

    struct GstChildProxyInterface {
      GTypeInterface parent;

      /* methods */
      GObject * (*get_child_by_name)  (GstChildProxy * parent, const gchar * name);
      GObject * (*get_child_by_index) (GstChildProxy * parent, guint index);
      guint     (*get_children_count) (GstChildProxy * parent);
    };

## Signal Details

### The `“child-added”` signal

    void
    user_function (GstChildProxy *gstchildproxy,
                   GObject       *arg1,
                   gchar         *arg2,
                   gpointer       user_data)

Flags: Run First

### The `“child-removed”` signal

    void
    user_function (GstChildProxy *gstchildproxy,
                   GObject       *arg1,
                   gchar         *arg2,
                   gpointer       user_data)

Flags: Run First